eCMRhub.docs
API referenceDocuments

Read document types

GET
/rest/v1/type_definitions

Definitions of document types by name and version.

Authorization

apikey
headerapikey<token>

Query Parameters

select?string
Default"definition"
name?string

PostgREST equality filter: eq.

version?string

PostgREST equality filter: eq.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api-ecmr-dev.lucaspiera.com/rest/v1/type_definitions'
Example Response
[  {    "definition": {      "type": {        "name": "string",        "version": "string"      },      "dataSchema": {        "property1": null,        "property2": null      },      "eventNames": [        "string"      ],      "signingPolicyIds": [        "string"      ],      "schemaDigest": "string"    }  }]